class Attachment < ApplicationRecord
  belongs_to :solution

  def self.saveFile(file, task, user)
    dir = Rails.root.join('public', 'data')
    unless File.exists? dir
      Dir.mkdir dir
    end
    fname = file.original_filename
    a = Attachment.new
    a.name = fname
    a.mime = file.content_type
    a.solution = Solution.create task: task, user: user
    a.path = ''
    a.save

    a.path = File.join(dir, a.id.to_s)
    File.open(a.path, 'wb') do |f|
      f.write(file.read)
    end
    a.size = File.size(a.path)
    a.save
  end
end
