class Quiz < ApplicationRecord
  has_many :tasks
  has_many :user, through: :tasks#, :solutions

  def get_tasks_page(page)
    self.tasks.order(number: :asc).paginate(page: page, per_page: 1)
  end
end
